     kodrm = 2
     n = 1
     d = open("plan")
     d1 = open("spprov")
     for i = 1 to size(d)
        if i = 1 then getfirst(d)
        if i != 1 then getnext(d)
        print "s"+trim('Номер'.d)
        d2 = open("s"+trim('Номер'.d))
        for j = 1 to size(d2)
           if j = 1 then getfirst(d2)
           if j != 1 then getnext(d2)
           if 'Раб.место'.d2 != kodrm then goto 100
           clearbuf(d1)
           'Раб.место'.d1 = 'Раб.место'.d2
           'N_проводки'.d1 = n
           n = n + 1
           'Дата'.d1 = 'Дата'.d2
           'Документ'.d1 = 'Документ'.d2
           'Db_счета'.d1 = 'Db_счета'.d2
           'Db_расчеты'.d1 = 'Db_расчеты'.d2
           'Kr_счета'.d1 = 'Kr_счета'.d2
           'Kr_расчеты'.d1 = 'Kr_расчеты'.d2
           'Сумма'.d1 = 'Сумма'.d2
           'Количество'.d1 = 'Количество'.d2
           'Примечание'.d1 = 'Примечание'.d2
           insert(d1)
100     next
        close(d2)
     next
     close(d)
     close(d1)
     end